arrow-left arrow-right autosave chat checkmark close dashboard fields fingerprint flash hamburger language list lock logotype long-arrow-right marker migrate overviews phone rocket search smiley stamp star stopwatch team twitter

Please read carefully and check if the version of your Zammad system is affected by this vulnerability. Please send information regarding vulnerabilities in Zammad to: security at zammad.com

Security Advisory Details

Vulnerability Descriptions

Wrong authorization checks for impersonation requests via X-On-Behalf-Of

Zammad allows impersonation requests via the X-On-Behalf-Of header. This allows authorized users to perform actions in the name of other users. However, the authorization checks for those requests are performed for the actual user and not the one given in the X-On-Behalf-Of header. This allows an attacker to gain access to information without proper authentication checks.

Recommended Resolution

This vulnerability is fixed in the latest versions of Zammad and it is recommended to upgrade to one of these.

Fixed releases can be found at:

Or just update your Zammad if installed via OS package manager.

Additional information

Online version of this advisory: https://zammad.com/news/security-advisory-zaa-2020-20

Send all remarks to security issues to security @ zammad.com.